Package com.smartgwt.client.util

# Class AsyncSingleValueGenerationResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.util.AsyncSingleValueGenerationResult

All Implemented Interfaces:
  `HasHandlers`

public class AsyncSingleValueGenerationResult extends AsyncOperationResult
The result of an asynchronous operation to generate a value.

See Also:
  - `FieldGeneration overview and related methods`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncSingleValueGenerationResult()`
  `AsyncSingleValueGenerationResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getGeneratedValue()`
  If successful, the generated value.
  `static AsyncSingleValueGenerationResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AsyncSingleValueGenerationResult`
  `setGeneratedValue(Object generatedValue)`
  If successful, the generated value.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncSingleValueGenerationResult

    public AsyncSingleValueGenerationResult()

  - ### AsyncSingleValueGenerationResult

    public AsyncSingleValueGenerationResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AsyncSingleValueGenerationResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setGeneratedValue

    public AsyncSingleValueGenerationResult setGeneratedValue(Object generatedValue)
    If successful, the generated value.
    Parameters:
      `generatedValue` - New generatedValue value. Default value is *initialized by the implementation*
    Returns:
      `AsyncSingleValueGenerationResult` instance, for chaining setter calls

  - ### getGeneratedValue

    public Object getGeneratedValue()
    If successful, the generated value.
    Returns:
      Current generatedValue value. Default value is *initialized by the implementation*